<?

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    header( 'Content-type: text/html; charset=windows-1251' );
    include_once ROOT_DIR . '/engine/config.php';
    include_once ROOT_DIR . '/engine/function.php';
} else {
    if ( !defined( 'MISOFT' ) ) { exit(); }
}

if ( !isset( $_SESSION['iduser'] ) ) {
  #Генерирует ордер ид для счета оплаты
  $bt_order1 = pincode( 12 );
  $bt_order2 = pincode( 7 );
  $bt_order3 = pincode( 5 );
  $bt_order = ( $bt_order1 + $bt_order2 + $bt_order3 );   
  ?>
	<script type="text/javascript">
	  $(document).ready(function(){
		$('.help_input').tipTip({defaultPosition:'right'});
		$('#zban').styler({width:'290'});
		$('.btn_up_banner').on("click", trigbutton);
		function trigbutton() {
			$('#addbanner').trigger('click');
		}
		$('#quantity').keyup(function () {
		  PlanChange();
		});
	  });

	  function addbanner() {
		$('.btn_box').css({display:'none'});
		$('.pajax').css({display:'block'}).html('ждите...');
		var file = document.getElementById('addbanner').files[0];
		var url = $('#url').val();
		var fd = new FormData();
		fd.append('banner', file);
		fd.append('url', url);
		fd.append('title', $('#title').val());
		fd.append('quantity', $('#quantity').val());
		fd.append('bt_order', <?=$bt_order?>);
		var xhr = new XMLHttpRequest();
		xhr.open("post", "ajax.php?func=addbanner468x60_nouser");
		xhr.addEventListener("load", uploadComplete, false);
		xhr.send(fd);
		return false;
	  }

	  function uploadComplete(evt) {
		$('#error_title_form1').fadeOut();
		$('#error_title_form2').fadeOut();
		$('.inputStart_title').css({border: '1px solid #000'});
		$('.inputStart_url').css({border: '1px solid #000'});
		
		if(evt.target.responseText == 1) {
		  location.href = '/adv_order=<?=$bt_order?>';	
		} else 
		if(evt.target.responseText == 2) {
		  $('#error_title_form1').fadeIn();
		  $('.div_form_eror_title').fadeIn().html('Вы не указали заголовок!');
		  $('.inputStart_title').css({border: '1px solid #E85854'});
		  $('.pajax').css({display:'none'});
		} else  
		if(evt.target.responseText == 'erurl') {
		  $('#error_title_form2').fadeIn();
		  $('.div_form_eror_title').fadeIn().html('Вы не указали url!');
		  $('.inputStart_url').css({border: '1px solid #E85854'});
		  $('.pajax').css({display:'none'});
		} else {
		  $('.erroralert').fadeIn(500).html(evt.target.responseText);
		  setTimeout(function() {
			$('.erroralert').fadeOut(500).html('&nbsp;');
		  }, 4000);
		  $('.btn_box').css({display:'inline-block'});
		  $('.pajax').css({display:'none'});
		}
	  }

	  function show_bansize() {
		if ($('#zban').val() == '1') {
		  Page.Go('addban2x3');
		} 
	  }
	  
	  function PlanChange() {
        var lprice = 0;
        lprice = <?=$config['banner468x60']?>;
        lprice *= $('#quantity').val();
        $('#summa').html(number_format(lprice, 4, '.', ''));
      }
	  
	  function number_format(number, decimals, dec_point, thousands_sep) {
        var i, j, kw, kd, km;
        if (isNaN(decimals = Math.abs(decimals))) { decimals = 2; }
        if (dec_point == undefined) { dec_point = ","; }
        if (thousands_sep == undefined) { thousands_sep = "."; }
        i = parseInt(number = (+number || 0).toFixed(decimals)) + "";
        if ((j = i.length) > 3) { j = j % 3; } else { j = 0; }
        km = (j ? i.substr(0, j) + thousands_sep : "");
        kw = i.substr(j).replace(/(\d{3})(?=\d)/g, "$1" + thousands_sep);
        kd = (decimals ? dec_point + Math.abs(number - i).toFixed(decimals).replace(/-/, 0).slice(2) : "");
        return km + kw + kd;
	  }
	</script>
	<? include_once ROOT_DIR . '/modules/panel_manager/section_advertising.php'; ?>
	<div class="content_bar">
	  <article class="postBox">
		<img src="/theme/images/help_form.png" class="support-hover-two help_form " />
		<span class="tip-block">
		  <span class="tip-two">
			Заполните форму, и нажмите «Создать компанию» если все поля заполнены верно, вас перенаправит на страницу управления площадкой.
		  </span>
		</span>
		<h2><a>Баннер 468х60</a></h2><br>
		<div class="textPreview" style="margin-top: -20px;">
		  <p><b>Ваши баннеры</b> увидят все, ввиду их наиболее выгодного размещения. Баннеры отображаются в ротаторе в случайном порядке. Мы учитываем только качественные визиты. Вы оплачиваете не показы, а реальные переходы по ссылке.</p>
		</div>
		<div class="div_form">
		  <table class=" table_form">
			<tr>
			  <td class="td_form">Размер баннера:</td>
			  <td class="">
				<select id="zban" onchange="show_bansize(); return false;">
				  <option value="0">468х60 пикселей</option>
				  <option value="1">200х300 пикселей</option>
				</select>
			  </td>
			</tr>
			<tr>
			  <td class="td_form" >Заголовок:</td>
			  <td class="" >
				<input class="inputStart_title" type="text" placeholder="укажите краткий заголовок рекламной кампании" id="title" maxlength="55" />
				<div style="display:none;" id="error_title_form1">
				  <div class="eror_form"></div>
				  <div class="div_form_eror_title"></div>
				</div>
			  </td>
			</tr>
			<tr>
			  <td class="td_form" >URL сайта:</td>
			  <td class="" >
				<input class="inputStart_url" type="text" placeholder="обязательно укажите ссылку начиная с http:/https:" id="url" />
				<div style="display:none;" id="error_title_form2">
				  <div class="eror_form"></div>
				  <div class="div_form_eror_title">Внимание, ссылка указанна не верно!</div>
				</div>
			  </td>
			</tr>
			<tr >
			  <td class="td_form" >Изображение баннера:</td>
			  <td class="" >
				<div style="">
				  <input type="file" name="addbanner" id="addbanner" style="visibility:hidden;" />
				  <div class="margin_add_geo btn_up_banner"><a class="add_geo" href="#">Выбрать [...]</a></div>
				</div>
			  </td>
			</tr>
			<tr >
			  <td class="td_form" >Количество переходов:</td>
			  <td class="" >
				<input style="width: 100px;" type="text" placeholder="минимум 10" id="quantity" maxlength="15" value="0" onchange="PlanChange(); return false;"/>
			  </td>
			</tr>
			<tr >
			  <td class="td_form">Стоимость заказа:</td>
			  <td class=""><div class="formPrice"><span id="summa">0.0000</span> <?=$config['valutaname']?></div> (стоимость одного перехода <?=$config['banner200x300']?> <?=$config['valutaname']?>)</td>
			</tr>
			<tr>
			  <td class="td_form"><img src="/theme/images/preload.gif" class="pajax" style="display: none;"/></td>
			  <td class="">
				<br><div class="more-link"><a href="#" onclick="addbanner(); return false;">Создать заказ</a></div><br><br>
			  </td>
			</tr>
			<tr>
			  <td class="td_form"></td>
			  <td class="td_form" colspan="2"><div class="erroralert" ></div></td>
			</tr>
		  </table>
		</div>
		<br>
	  </article>
	</div>
  <?
} else {
  ?>
	<script type="text/javascript">
	  $(document).ready(function(){
		$('.help_input').tipTip({defaultPosition:'right'});
		$('#zban').styler({width:'290'});
		$('.btn_up_banner').on("click", trigbutton);
		function trigbutton() {
		  $('#addbanner').trigger('click');
		}
	  });

	  function addbanner() {
		$('.btn_box').css({display:'none'});
		$('.pajax').css({display:'block'}).html('ждите...');
		var file = document.getElementById('addbanner').files[0];
		var url = $('#url').val();
		var fd = new FormData();
		fd.append('banner', file);
		fd.append('url', url);
		fd.append('title', $('#title').val());
		var xhr = new XMLHttpRequest();
		xhr.open("post", "ajax.php?func=addbanner468x60");
		xhr.addEventListener("load", uploadComplete, false);
		xhr.send(fd);
		return false;
	  }

	function uploadComplete(evt) {
		
		$('#error_title_form1').fadeOut();
		$('#error_title_form2').fadeOut();
		$('.inputStart_title').css({border: '1px solid #000'});
		$('.inputStart_url').css({border: '1px solid #000'});
		
		if(evt.target.responseText == 'virus') {
			$('.erroralert').fadeIn(500).html('Сайт содержит угрозу!');
			setTimeout(function() {
				$('.erroralert').fadeOut(500).html('&nbsp;');
			}, 4000);
			$('.btn_box').css({display:'inline-block'});
			$('.pajax').css({display:'none'});
		} else
		if(evt.target.responseText == 'base') {
			$('.erroralert').fadeIn(500).html('Сайт находится в базе вредоносных сайтов Dr.Web!');
			setTimeout(function() {
				$('.erroralert').fadeOut(500).html('&nbsp;');
			}, 4000);
			$('.btn_box').css({display:'inline-block'});
			$('.pajax').css({display:'none'});
		} else
		if(evt.target.responseText == 1) {
			$('.btn_box').css({display:'inline-block'});
			$('.pajax').css({display:'none'});
			$('.table_form').html('<div style="padding:10px; text-align:center; width:90%; margin:0 auto;">Спасибо! Ваша реклама успешно добавлена.<br />Прежде чем рекламная площадка будет размещена на сайте,<br />Вам необходимо пополнить счет рекламной площадки и включить ее.<br /><br /><div class="more-link"><a href="/mban468x60" onclick="Page.Go(\'mban468x60\');return false;">Управление рекламой</a></div><br></div>');
		} else 
		if(evt.target.responseText == 2) {
			$('#error_title_form1').fadeIn();
			$('.div_form_eror_title').fadeIn().html('Вы не указали заголовок!');
			$('.inputStart_title').css({border: '1px solid #E85854'});
			$('.pajax').css({display:'none'});
		} else  
		if(evt.target.responseText == 'erurl') {
			$('#error_title_form2').fadeIn();
			$('.div_form_eror_title').fadeIn().html('Вы не указали url!');
			$('.inputStart_url').css({border: '1px solid #E85854'});
			$('.pajax').css({display:'none'});
		} else {
			$('.erroralert').fadeIn(500).html(evt.target.responseText);
			setTimeout(function() {
				$('.erroralert').fadeOut(500).html('&nbsp;');
			}, 4000);
			$('.btn_box').css({display:'inline-block'});
			$('.pajax').css({display:'none'});
		}
	}

	function show_bansize() {
		if ($('#zban').val() == '1') {
			Page.Go('addban2x3');
		} 
	}
	</script>

	<? include_once ROOT_DIR . '/modules/panel_manager/section_advertising.php'; ?>
							
	<div class="content_bar">
		<article class="postBox">
			
			<img src="/theme/images/help_form.png" class="support-hover-two help_form " />
			<span class="tip-block">
				<span class="tip-two">
					Заполните форму, и нажмите «Создать компанию» если все поля заполнены верно, вас перенаправит на страницу управления площадкой.
				</span>
			</span>
			<h2><a>Баннер 468х60</a></h2><br>
			<div class="textPreview" style="margin-top: -20px;">
				<p><b>Ваши баннеры</b> увидят все, ввиду их наиболее выгодного размещения. Баннеры отображаются в ротаторе в случайном порядке. Мы учитываем только качественные визиты. Вы оплачиваете не показы, а реальные переходы по ссылке.</p>
			</div>
			<div class="div_form">
				<table class=" table_form">
					
					<tr>
						<td class="td_form">Размер баннера:</td>
						<td class="">
							<select id="zban" onchange="show_bansize(); return false;">
								<option value="0">468х60 пикселей</option>
								<option value="1">200х300 пикселей</option>
							</select>
						</td>
					</tr>
					<tr>
						<td class="td_form" >Заголовок:</td>
						<td class="" >
							<input class="inputStart_title" type="text" placeholder="укажите краткий заголовок рекламной кампании" id="title" maxlength="55" />
							<div style="display:none;" id="error_title_form1">
								<div class="eror_form"></div>
								<div class="div_form_eror_title"></div>
							</div>
						</td>
					</tr>
					<tr>
						<td class="td_form" >URL сайта:</td>
						<td class="" >
							<input class="inputStart_url" type="text" placeholder="обязательно укажите ссылку начиная с http:/https:" id="url" />
							<div style="display:none;" id="error_title_form2">
								<div class="eror_form"></div>
								<div class="div_form_eror_title">Внимание, ссылка указанна не верно!</div>
							</div>
						</td>
					</tr>
					<tr >
						<td class="td_form" >Изображение баннера:</td>
						<td class="" >
							<div style="">
								<input type="file" name="addbanner" id="addbanner" style="visibility:hidden;" />
								<div class="margin_add_geo btn_up_banner"><a class="add_geo" href="#">Выбрать [...]</a></div>
							</div>
						</td>
					</tr>
					<tr >
						<td class="td_form">Стоимость одного визита:</td>
						<td class=""><div class="formPrice"><span id="summa"><?=$config['banner468x60']?></span> <?=$config['valutaname']?></div></td>
					</tr>
					<tr>
						<td class="td_form"><img src="/theme/images/preload.gif" class="pajax" style="display: none;"/></td>
						<td class="">
							<br><div class="more-link"><a href="#" onclick="addbanner(); return false;">Создать компанию</a></div><br><br>
						</td>
					</tr>
					<tr>
						<td class="td_form"></td>
						<td class="td_form" colspan="2"><div class="erroralert" ></div></td>
					</tr>
					
				</table>
			</div>
			<br>
		</article>
	</div>


<? } ?>